org.eclipse.actf.model.dom.odf.chart

## Class ChartConstants

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.chart.ChartConstants

    public final class ChartConstants
    extends Object

ChartConstants defines the constant values used by chart namespace of ODF DOM API

### Field Summary

Fields
`static String` `ATTR_ATTACHED_AXIS`
`static String` `ATTR_CLASS`
`static String` `ATTR_CONNECT_BARS`
`static String` `ATTR_DATA_LABEL_NUMBER`
`static String` `ATTR_DATA_LABEL_SYMBOL`
`static String` `ATTR_DATA_LABEL_TEXT`
`static String` `ATTR_DATA_SOURCE_HAS_LABELS`
`static String` `ATTR_DEEP`
`static String` `ATTR_DIMENSION`
`static String` `ATTR_DISPLAY_LABEL`
`static String` `ATTR_ERROR_CATEGORY`
`static String` `ATTR_ERROR_LOWER_LIMIT`
`static String` `ATTR_ERROR_MARGIN`
`static String` `ATTR_ERROR_PERCENTAGE`
`static String` `ATTR_ERROR_UPPER_LIMIT`
`static String` `ATTR_GAP_WIDTH`
`static String` `ATTR_INTERPOLATION`
`static String` `ATTR_JAPANESE_CANDLE_STICK`
`static String` `ATTR_LABEL_ARRANGEMENT`
`static String` `ATTR_LEGEND_POSITION`
`static String` `ATTR_LINES`
`static String` `ATTR_LINES_USED`
`static String` `ATTR_LOGARITHMIC`
`static String` `ATTR_MAXIMUM`
`static String` `ATTR_MEAN_VALUE`
`static String` `ATTR_MINIMUM`
`static String` `ATTR_NAME`
`static String` `ATTR_ORIGIN`
`static String` `ATTR_OVERLAP`
`static String` `ATTR_REGRESSION_TYPE`
`static String` `ATTR_REPEATED`
`static String` `ATTR_SERIES_SOURCE`
`static String` `ATTR_SOLID_TYPE`
`static String` `ATTR_STOCK_WITH_VOLUME`
`static String` `ATTR_STYLE_NAME`
`static String` `ATTR_SYMBOL_TYPE`
`static String` `ATTR_TABLE_NUMBER_LIST`
`static String` `ATTR_TEXT_OVERLAP`
`static String` `ATTR_THREE_DIMENSIONAL`
`static String` `ATTR_TICK_MARKS_MAJOR_INNER`
`static String` `ATTR_TICK_MARKS_MAJOR_OUTER`
`static String` `ATTR_VERTICAL`
`static String` `ATTR_VISIBLE`
`static String` `CHART_NAMESPACE_URI`
`static String` `ELEMENT_AXIS`
`static String` `ELEMENT_CATEGORIES`
`static String` `ELEMENT_CHART`
`static String` `ELEMENT_DATA_POINT`
`static String` `ELEMENT_FLOOR`
`static String` `ELEMENT_GRID`
`static String` `ELEMENT_LEGEND`
`static String` `ELEMENT_PLOT_AREA`
`static String` `ELEMENT_SERIES`
`static String` `ELEMENT_STOCK_GAIN_MARKER`
`static String` `ELEMENT_STOCK_LOSS_MARKER`
`static String` `ELEMENT_STOCK_RANGE_LINE`
`static String` `ELEMENT_TITLE`
`static String` `ELEMENT_WALL`

### Constructor Summary

Constructors
Constructor and Description
`ChartConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CHART_NAMESPACE_URI

    public static final String CHART_NAMESPACE_URI

See Also:
  Constant Field Values

#### ELEMENT_CHART

    public static final String ELEMENT_CHART

See Also:
  Constant Field Values

#### ELEMENT_TITLE

    public static final String ELEMENT_TITLE

See Also:
  Constant Field Values

#### ELEMENT_LEGEND

    public static final String ELEMENT_LEGEND

See Also:
  Constant Field Values

#### ELEMENT_PLOT_AREA

    public static final String ELEMENT_PLOT_AREA

See Also:
  Constant Field Values

#### ELEMENT_AXIS

    public static final String ELEMENT_AXIS

See Also:
  Constant Field Values

#### ELEMENT_CATEGORIES

    public static final String ELEMENT_CATEGORIES

See Also:
  Constant Field Values

#### ELEMENT_GRID

    public static final String ELEMENT_GRID

See Also:
  Constant Field Values

#### ELEMENT_SERIES

    public static final String ELEMENT_SERIES

See Also:
  Constant Field Values

#### ELEMENT_DATA_POINT

    public static final String ELEMENT_DATA_POINT

See Also:
  Constant Field Values

#### ELEMENT_STOCK_GAIN_MARKER

    public static final String ELEMENT_STOCK_GAIN_MARKER

See Also:
  Constant Field Values

#### ELEMENT_STOCK_LOSS_MARKER

    public static final String ELEMENT_STOCK_LOSS_MARKER

See Also:
  Constant Field Values

#### ELEMENT_STOCK_RANGE_LINE

    public static final String ELEMENT_STOCK_RANGE_LINE

See Also:
  Constant Field Values

#### ELEMENT_WALL

    public static final String ELEMENT_WALL

See Also:
  Constant Field Values

#### ELEMENT_FLOOR

    public static final String ELEMENT_FLOOR

See Also:
  Constant Field Values

#### ATTR_DIMENSION

    public static final String ATTR_DIMENSION

See Also:
  Constant Field Values

#### ATTR_NAME

    public static final String ATTR_NAME

See Also:
  Constant Field Values

#### ATTR_CLASS

    public static final String ATTR_CLASS

See Also:
  Constant Field Values

#### ATTR_REPEATED

    public static final String ATTR_REPEATED

See Also:
  Constant Field Values

#### ATTR_LEGEND_POSITION

    public static final String ATTR_LEGEND_POSITION

See Also:
  Constant Field Values

#### ATTR_DATA_SOURCE_HAS_LABELS

    public static final String ATTR_DATA_SOURCE_HAS_LABELS

See Also:
  Constant Field Values

#### ATTR_TABLE_NUMBER_LIST

    public static final String ATTR_TABLE_NUMBER_LIST

See Also:
  Constant Field Values

#### ATTR_STYLE_NAME

    public static final String ATTR_STYLE_NAME

See Also:
  Constant Field Values

#### ATTR_JAPANESE_CANDLE_STICK

    public static final String ATTR_JAPANESE_CANDLE_STICK

See Also:
  Constant Field Values

#### ATTR_STOCK_WITH_VOLUME

    public static final String ATTR_STOCK_WITH_VOLUME

See Also:
  Constant Field Values

#### ATTR_THREE_DIMENSIONAL

    public static final String ATTR_THREE_DIMENSIONAL

See Also:
  Constant Field Values

#### ATTR_DEEP

    public static final String ATTR_DEEP

See Also:
  Constant Field Values

#### ATTR_LINES

    public static final String ATTR_LINES

See Also:
  Constant Field Values

#### ATTR_INTERPOLATION

    public static final String ATTR_INTERPOLATION

See Also:
  Constant Field Values

#### ATTR_SYMBOL_TYPE

    public static final String ATTR_SYMBOL_TYPE

See Also:
  Constant Field Values

#### ATTR_VERTICAL

    public static final String ATTR_VERTICAL

See Also:
  Constant Field Values

#### ATTR_LINES_USED

    public static final String ATTR_LINES_USED

See Also:
  Constant Field Values

#### ATTR_CONNECT_BARS

    public static final String ATTR_CONNECT_BARS

See Also:
  Constant Field Values

#### ATTR_SERIES_SOURCE

    public static final String ATTR_SERIES_SOURCE

See Also:
  Constant Field Values

#### ATTR_MEAN_VALUE

    public static final String ATTR_MEAN_VALUE

See Also:
  Constant Field Values

#### ATTR_ERROR_MARGIN

    public static final String ATTR_ERROR_MARGIN

See Also:
  Constant Field Values

#### ATTR_ERROR_LOWER_LIMIT

    public static final String ATTR_ERROR_LOWER_LIMIT

See Also:
  Constant Field Values

#### ATTR_ERROR_UPPER_LIMIT

    public static final String ATTR_ERROR_UPPER_LIMIT

See Also:
  Constant Field Values

#### ATTR_ERROR_CATEGORY

    public static final String ATTR_ERROR_CATEGORY

See Also:
  Constant Field Values

#### ATTR_ERROR_PERCENTAGE

    public static final String ATTR_ERROR_PERCENTAGE

See Also:
  Constant Field Values

#### ATTR_REGRESSION_TYPE

    public static final String ATTR_REGRESSION_TYPE

See Also:
  Constant Field Values

#### ATTR_DATA_LABEL_NUMBER

    public static final String ATTR_DATA_LABEL_NUMBER

See Also:
  Constant Field Values

#### ATTR_DATA_LABEL_TEXT

    public static final String ATTR_DATA_LABEL_TEXT

See Also:
  Constant Field Values

#### ATTR_DATA_LABEL_SYMBOL

    public static final String ATTR_DATA_LABEL_SYMBOL

See Also:
  Constant Field Values

#### ATTR_DISPLAY_LABEL

    public static final String ATTR_DISPLAY_LABEL

See Also:
  Constant Field Values

#### ATTR_TICK_MARKS_MAJOR_INNER

    public static final String ATTR_TICK_MARKS_MAJOR_INNER

See Also:
  Constant Field Values

#### ATTR_TICK_MARKS_MAJOR_OUTER

    public static final String ATTR_TICK_MARKS_MAJOR_OUTER

See Also:
  Constant Field Values

#### ATTR_LOGARITHMIC

    public static final String ATTR_LOGARITHMIC

See Also:
  Constant Field Values

#### ATTR_TEXT_OVERLAP

    public static final String ATTR_TEXT_OVERLAP

See Also:
  Constant Field Values

#### ATTR_LABEL_ARRANGEMENT

    public static final String ATTR_LABEL_ARRANGEMENT

See Also:
  Constant Field Values

#### ATTR_VISIBLE

    public static final String ATTR_VISIBLE

See Also:
  Constant Field Values

#### ATTR_ORIGIN

    public static final String ATTR_ORIGIN

See Also:
  Constant Field Values

#### ATTR_GAP_WIDTH

    public static final String ATTR_GAP_WIDTH

See Also:
  Constant Field Values

#### ATTR_OVERLAP

    public static final String ATTR_OVERLAP

See Also:
  Constant Field Values

#### ATTR_SOLID_TYPE

    public static final String ATTR_SOLID_TYPE

See Also:
  Constant Field Values

#### ATTR_ATTACHED_AXIS

    public static final String ATTR_ATTACHED_AXIS

See Also:
  Constant Field Values

#### ATTR_MINIMUM

    public static final String ATTR_MINIMUM

See Also:
  Constant Field Values

#### ATTR_MAXIMUM

    public static final String ATTR_MAXIMUM

See Also:
  Constant Field Values

### Constructor Detail

#### ChartConstants

    public ChartConstants()